Bug 1460482 - Exception: Failed to compile BPF module
Exception: Failed to compile BPF module
Status: NEW
Product: Fedora
Classification: Fedora
Component: bcc (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Olsa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 22:25 EDT by Chris Murphy
Modified: 2017-07-10 12:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Murphy 2017-06-10 22:25:29 EDT
Description of problem:

bcc tools appear to require kernel-devel but the package doesn't require it


Version-Release number of selected component (if applicable):
bcc-0.3.0-2.fc26.x86_64

How reproducible:
Always


Steps to Reproduce:
1. dnf install bcc
2. sudo -i
3. cd /usr/share/bcc/tools/
4. ./btrfsslower

Actual results:

[root@f26h tools]# ./btrfsslower
chdir(/lib/modules/4.11.3-300.fc26.x86_64/build): No such file or directory
Traceback (most recent call last):
File "./btrfsslower", line 322, in
b = BPF(text=bpf_text)
File "/usr/lib/python3.6/site-packages/bcc/init.py", line 284, in init
raise Exception("Failed to compile BPF module %s" % src_file)
Exception: Failed to compile BPF module

[root@f26h tools]# ls -l /lib/modules/4.11.3-300.fc26.x86_64/build
lrwxrwxrwx. 1 root root 39 May 25 13:01 /lib/modules/4.11.3-300.fc26.x86_64/build -> /usr/src/kernels/4.11.3-300.fc26.x86_64

That path is empty.


Expected results:

Looks like kernel-devel is necessary to run at least some of these tools, so it probably should get dragged in as some kind of dependency when installing bcc.


Additional info:
Comment 1 Chris Murphy 2017-07-04 10:00:51 EDT
Upstream bug and comment.
https://github.com/iovisor/bcc/issues/1221#issuecomment-312791815
Comment 6 Rafael Fonseca 2017-07-10 10:51:28 EDT
Chris,

if you install kernel-devel, do the tools work as expected on Fedora 26?
Comment 7 Chris Murphy 2017-07-10 12:17:58 EDT
No I get a different problem, a crash, which is in the upstream bug.
Comment 8 Rafael Fonseca 2017-07-10 12:27:51 EDT
(In reply to Chris Murphy from comment #7)
> No I get a different problem, a crash, which is in the upstream bug.

Yeah, it's the same for me. It only happens on f26. On f25 it works as expected.

Note You need to log in before you can comment on or make changes to this bug.